import re

# 定义修改后的正则表达式
pattern = re.compile(
    r'^(?!.*(?:资格|符合))(?:附录.*?[：:]|附件.*?[：:]|附表.*?[：:]).*$|'
    r'^第[一二三四五六七八九十百千]+(?:章|部分)\s*[\u4e00-\u9fff]+',
    re.MULTILINE
)

# 测试用例文本
text = """附表 ：审查审查表（注：本表不需要投标人填写）
技术评审表
序号 评审项目 详细评资格审内容 分值 投标人A 投标人B 投标人C
1 技术方案的总体评价 对供应商技术响应方案是否全面、完整、清晰、合理性等进行评价：
对供应商技术响应方案全面、完整、清晰、合理，得3分；
对供应商技术响应方案比较全面、完整、清晰、合理，得1分；
对供应商技术响应方案不全面、完整、清晰、合理，得0.5分；
没有提供，不得分。
"""

# 匹配测试
matches = pattern.findall(text)

if matches:
    print("匹配成功!")
    for match in matches:
        print("匹配内容:", match)
else:
    print("匹配失败!")
